# vim: tabstop=4 shiftwidth=4 softtabstop=4 filetype=python
#
# Copyright (c) 2015 Midokura Europe SARL, All Rights Reserved.
# All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

from charmhelpers.core.services import helpers


class NovaRelation(helpers.RelationContext):
    name = 'neutron_agents'
    interface = 'quantum'

    def __init__(self, *args, **kwargs):
        self.required_keys = ['keystone_host',
                              'service_port',
                              'auth_port',
                              'service_tenant',
                              'service_username',
                              'service_password',
                              'quantum_host',
                              'quantum_port',
                              'quantum_url',
                              'region',
                              'service_protocol',
                              'auth_protocol']
        helpers.RelationContext.__init__(self, *args, **kwargs)
